//+------------------------------------------------------------------+
//|                                                 PriceTrender.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Gold

extern int TimeFrame = 60,
           Price = 0,
           MaType = 0,
           MaPrice = 0,
           MaLength = 24;
           

double price[],trend[];
 
#property indicator_separate_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,price);
   SetIndexBuffer(1,trend);
      TimeFrame = MathMax(TimeFrame,Period());
   return(0);
}
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars= IndicatorCounted();
      if (counted_bars<0) return(-1); 
      if (counted_bars>0) counted_bars--; 
         int limit=MathMin(MathMax(Bars-counted_bars,3*TimeFrame/Period()),Bars-1); 
    
   for (int i=limit; i>=0; i--) 
   { 
      int y = iBarShift(Symbol(),TimeFrame,Time[i]); 
      price[i] = iMA(Symbol(),TimeFrame,1       ,0,MODE_SMA,MaPrice,y);
      trend[i] = iMA(Symbol(),TimeFrame,MaLength,0,MaType  ,MaPrice,y);
   } 
   return(0);
}